al_malloc_with_context(3)

NAME

al_malloc_with_context - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void *al_malloc_with_context(size_t n,
       int line, const char *file, const char *func)

DESCRIPTION

This calls malloc() from the Allegro library (this matters on Windows), unless overridden with al_set_memory_interface(3),

Generally you should use the al_malloc(3) macro.